# NOTE: This file is not part of the official higan source, it's been added
# to help build WIP binaries with minimal fuss.

image: debian:stable

higan-linux-x86_64-binaries:
  script:
    - apt-get update && apt-get -y install build-essential libgtk2.0-dev libpulse-dev mesa-common-dev libgtksourceview2.0-dev libcairo2-dev libsdl2-dev libxv-dev libao-dev libopenal-dev libudev-dev mkdocs
    - make -C genius
    - make -C icarus
    - make -C higan target=higan
    - LC_ALL=C.UTF-8 mkdocs build
    - mkdir higan-nightly
    - cp -a genius/out/genius higan-nightly/genius
    - cp -a icarus/out/icarus higan-nightly/icarus
    - cp -a icarus/Database higan-nightly/
    - cp -a icarus/Firmware higan-nightly/
    - cp -a higan/out/higan higan-nightly/higan
    - cp -a higan/systems/ higan-nightly/
    - cp -a shaders higan-nightly/
    - cp -a docs_build higan-nightly/docs
    - cp -a GPLv3.txt higan-nightly/
  artifacts:
    paths:
      - higan-nightly/*

bsnes-linux-x86_64-binaries:
  script:
    - apt-get update && apt-get -y install build-essential libgtk2.0-dev libpulse-dev mesa-common-dev libgtksourceview2.0-dev libcairo2-dev libsdl2-dev libxv-dev libao-dev libopenal-dev libudev-dev
    - make -C higan target=bsnes
    - mkdir bsnes-nightly
    - cp -a higan/out/bsnes bsnes-nightly/bsnes
    - cp -a shaders bsnes-nightly/
    - cp -a GPLv3.txt bsnes-nightly/
  artifacts:
    paths:
      - bsnes-nightly/*

higan-windows-x86_64-binaries:
  script:
    - apt-get update && apt-get -y install build-essential mingw-w64 mkdocs
    # genius does not currently build on Windows due to lack of a combo edit control in hiro
    #- make -C genius platform=windows compiler="x86_64-w64-mingw32-g++" windres="x86_64-w64-mingw32-windres"
    - make -C icarus platform=windows compiler="x86_64-w64-mingw32-g++" windres="x86_64-w64-mingw32-windres"
    - make -C higan target=higan platform=windows compiler="x86_64-w64-mingw32-g++" windres="x86_64-w64-mingw32-windres"
    - LC_ALL=C.UTF-8 mkdocs build
    - mkdir higan-nightly
    #- cp -a genius/out/genius higan-nightly/genius.exe
    - cp -a icarus/out/icarus higan-nightly/icarus.exe
    - cp -a icarus/Database higan-nightly/
    - cp -a icarus/Firmware higan-nightly/
    - cp -a higan/out/higan higan-nightly/higan.exe
    - cp -a higan/systems/ higan-nightly/
    - cp -a shaders higan-nightly/
    - cp -a docs_build higan-nightly/docs
    - cp -a GPLv3.txt higan-nightly/
  artifacts:
    paths:
      - higan-nightly/*

bsnes-windows-x86_64-binaries:
  script:
    - apt-get update && apt-get -y install build-essential mingw-w64
    - make -C higan target=bsnes platform=windows compiler="x86_64-w64-mingw32-g++" windres="x86_64-w64-mingw32-windres"
    - mkdir bsnes-nightly
    - cp -a higan/out/bsnes bsnes-nightly/bsnes.exe
    - cp -a shaders bsnes-nightly/
    - cp -a GPLv3.txt bsnes-nightly/
  artifacts:
    paths:
      - bsnes-nightly/*
